View Issue Details

IDProjectCategoryLast Update
0020972AI War 2[All Projects] Crash/ExceptionMar 8, 2019 11:55 am
ReporterTechSY730Assigned To 
Severitymajor 
Status newResolutionopen 
Product Version0.816 Aggressive Busting and Stacking 
Fixed in Version 
Summary0020972: "We have a command we need to execute during frame -1" exception thrown
DescriptionThis wasn't a full out crash it seems, just a warning. Still, it popped up and interrupted the game.

There were two System.NullReferenceException before this exception too. See the attached debug log for all stack traces.

Stack trace:

3/6/2019 11:38:33 AM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 469002


GameCommand Details:SetWaiting ToBeQueued:False RelatedEntityIDs:0 RelatedPoints:0 FromActualInputEventOfPlayerID:-1 FromActualInputEventOfPlayerID:-1 FromActualInputEventOfPlayerID:-1 CameFromMultiplayerClientConnectionIndex:-1 ExecuteOnFrameNumber:-1 RelatedEntityType:null RelatedMagnitude:0 PlanetOrderWasIssuedFrom:-1 SentWithToggleSet_SetOrdersForProducedUnits:False RelatedFaction:null RelatedControlGroup:null RelatedPlanetFactionBooleanFlag:None RelatedBool:False RelatedSetup:null RelatedHack:null RelatedString: RelatedEnumValue:0 RelatedSFXItem:null RelatedModdableCommandCode: RelatedIntegers:0 RelatedIntegers2:0 RelatedIntegers3:0 RelatedIntegers4:0 RelatedFInts:0 RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0
TagsNo tags attached.

Relationships

related to 0020933 newBadgerBadger Weird error about command that should be executed at frame -1 

Activities

TechSY730

Mar 6, 2019 12:43 pm

reporter  

ArcenDebugLog.txt (12,852 bytes)
Hello Steam user 'TechSY730'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:31:38 AM	Current directory used: /home/sean/.local/share/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: /home/sean/.local/share/Steam/steamapps/common/AI War 2/PlayerData/
3/6/2019 11:31:38 AM	Resolution changed to windowed 1800x1100
3/6/2019 11:31:38 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 11:31:38 AM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
3/6/2019 11:31:49 AM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/6/2019 11:31:49 AM	Game Version: 0.816
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5.0 NVIDIA 418.43
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Linux 4.18 Ubuntu 18.04 64bit
graphicsDeviceName: GeForce GTX 1070/PCIe/SSE2
graphicsDeviceID: 7137
graphicsDeviceVendor: NVIDIA Corporation
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: OpenGL 4.5.0 NVIDIA 418.43
graphicsMemorySize: 8192
maxTextureSize: 32768
npotSupport: Full
processorType: Intel(R) Core(TM) i7-8700K CPU @ 3.70GHz
processorCount: 12
processorFrequency: 4300
systemMemorySize: 31983
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
3/6/2019 11:31:49 AM	11.8 seconds total load time.

SetDirectoriesToBeUsed (0.4s)
LoadFinalSFXStuff (6.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.9s)
SurrogateTableTable (0.7s)
3/6/2019 11:31:50 AM
Hello Steam user 'TechSY730'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:32:48 AM	Successfully opened host socket
3/6/2019 11:38:32 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:38:32 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:38:33 AM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 469002


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

ArcenDebugLog.txt (12,852 bytes)

TechSY730

Mar 6, 2019 12:55 pm

reporter   ~0050901

Here is the save that did this, but it may take a while for it to show up. Shortly after the wave and threat started hitting Ward, I moved command group 1 to that planet and set it on FRD. But I am not sure if that is a consistent trigger, or if that even had anything to do with it at all.

14.save (1,710,776 bytes)

Jannik2099

Mar 7, 2019 5:45 am

reporter   ~0050918

I've encountered the same issue (v 0.816), debug log attached. Sadly I don't have any saves before this error

ArcenDebugLog-2.txt (47,574 bytes)
3/6/2019 9:25:03 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/6/2019 9:25:04 PM	Resolution changed to fullscreen 1080x1920
3/6/2019 9:25:04 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:25:04 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:25:42 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/6/2019 9:25:43 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/6/2019 9:25:43 PM	40.4 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (10.9s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.4s)
GameEntityTypeDataTable.Initialize (2.4s)
GameEntityTypeDataTable.InitVisualBits (16.0s)
SurrogateTableTable (1.2s)
3/6/2019 9:25:43 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 9:26:28 PM	No resolution change was required.
3/6/2019 9:26:28 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:26:28 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:27:51 PM	No resolution change was required.
3/6/2019 9:27:51 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:27:51 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:28:19 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:28:19 PM	World Created, Launching Server
3/6/2019 9:28:20 PM	Successfully opened host socket
3/6/2019 9:30:08 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:08 PM	Generate Map Complete
3/6/2019 9:30:17 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:17 PM	Generate Map Complete
3/6/2019 9:30:24 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:24 PM	Generate Map Complete
3/6/2019 9:30:42 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:42 PM	Generate Map Complete
3/6/2019 9:30:44 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:44 PM	Generate Map Complete
3/6/2019 9:30:59 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:31:00 PM	Generate Map Complete
3/6/2019 9:33:05 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:05 PM	Generate Map Complete
3/6/2019 9:33:29 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:29 PM	Generate Map Complete
3/6/2019 9:33:49 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:50 PM	Generate Map Complete
3/6/2019 9:34:04 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:04 PM	Generate Map Complete
3/6/2019 9:34:20 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:20 PM	Generate Map Complete
3/6/2019 9:35:01 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:01 PM	Generate Map Complete
3/6/2019 9:35:02 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:02 PM	Generate Map Complete
3/6/2019 9:36:55 PM	No resolution change was required.
3/6/2019 9:36:55 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:36:55 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:37:09 PM	No resolution change was required.
3/6/2019 9:37:09 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:37:09 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:40:17 PM	No resolution change was required.
3/6/2019 9:40:17 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:40:17 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 10:42:06 PM	No resolution change was required.
3/6/2019 10:42:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 10:42:06 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:47:11 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:47:11 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:49:37 PM	No resolution change was required.
3/6/2019 11:49:37 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 11:49:37 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:58:53 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:41:21 AM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 11:30:34 AM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 11:30:35 AM	No resolution change was required.
3/7/2019 11:30:35 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 11:30:35 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 11:31:11 AM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 11:31:12 AM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 11:31:12 AM	38.7 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
LoadFinalSFXStuff (10.4s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.3s)
GameEntityTypeDataTable.Initialize (2.2s)
GameEntityTypeDataTable.InitVisualBits (15.2s)
SurrogateTableTable (1.2s)
3/7/2019 11:31:13 AM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:37:08 AM	Successfully opened host socket
ArcenDebugLog-2.txt (47,574 bytes)

Jannik2099

Mar 7, 2019 3:24 pm

reporter   ~0050922

Update: As requested by Badger, I managed to reproduce the error with no minor factions enabled. Attached is the debug log and the latest autosave, 7 seconds before the error.

ArcenDebugLog-3.txt (148,311 bytes)
3/6/2019 9:25:03 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/6/2019 9:25:04 PM	Resolution changed to fullscreen 1080x1920
3/6/2019 9:25:04 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:25:04 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:25:42 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/6/2019 9:25:43 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/6/2019 9:25:43 PM	40.4 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (10.9s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.4s)
GameEntityTypeDataTable.Initialize (2.4s)
GameEntityTypeDataTable.InitVisualBits (16.0s)
SurrogateTableTable (1.2s)
3/6/2019 9:25:43 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 9:26:28 PM	No resolution change was required.
3/6/2019 9:26:28 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:26:28 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:27:51 PM	No resolution change was required.
3/6/2019 9:27:51 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:27:51 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:28:19 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:28:19 PM	World Created, Launching Server
3/6/2019 9:28:20 PM	Successfully opened host socket
3/6/2019 9:30:08 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:08 PM	Generate Map Complete
3/6/2019 9:30:17 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:17 PM	Generate Map Complete
3/6/2019 9:30:24 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:24 PM	Generate Map Complete
3/6/2019 9:30:42 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:42 PM	Generate Map Complete
3/6/2019 9:30:44 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:44 PM	Generate Map Complete
3/6/2019 9:30:59 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:31:00 PM	Generate Map Complete
3/6/2019 9:33:05 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:05 PM	Generate Map Complete
3/6/2019 9:33:29 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:29 PM	Generate Map Complete
3/6/2019 9:33:49 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:50 PM	Generate Map Complete
3/6/2019 9:34:04 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:04 PM	Generate Map Complete
3/6/2019 9:34:20 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:20 PM	Generate Map Complete
3/6/2019 9:35:01 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:01 PM	Generate Map Complete
3/6/2019 9:35:02 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:02 PM	Generate Map Complete
3/6/2019 9:36:55 PM	No resolution change was required.
3/6/2019 9:36:55 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:36:55 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:37:09 PM	No resolution change was required.
3/6/2019 9:37:09 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:37:09 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:40:17 PM	No resolution change was required.
3/6/2019 9:40:17 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:40:17 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 10:42:06 PM	No resolution change was required.
3/6/2019 10:42:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 10:42:06 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:47:11 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:47:11 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:49:37 PM	No resolution change was required.
3/6/2019 11:49:37 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 11:49:37 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:58:53 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:41:21 AM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 11:30:34 AM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 11:30:35 AM	No resolution change was required.
3/7/2019 11:30:35 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 11:30:35 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 11:31:11 AM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 11:31:12 AM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 11:31:12 AM	38.7 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
LoadFinalSFXStuff (10.4s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.3s)
GameEntityTypeDataTable.Initialize (2.2s)
GameEntityTypeDataTable.InitVisualBits (15.2s)
SurrogateTableTable (1.2s)
3/7/2019 11:31:13 AM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:37:08 AM	Successfully opened host socket
3/7/2019 11:52:18 AM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 11:52:18 AM	Generate Map with type Clusters and seed 230388083
3/7/2019 11:52:18 AM	World Created, Launching Server
3/7/2019 11:52:18 AM	Successfully opened host socket
3/7/2019 11:52:20 AM	Generate Map with type Clusters and seed 230388083
3/7/2019 11:52:20 AM	Generate Map Complete
3/7/2019 11:52:27 AM	Generate Map with type Clusters and seed 173705748
3/7/2019 11:52:27 AM	Generate Map Complete
3/7/2019 11:52:33 AM	Generate Map with type Clusters and seed 913620124
3/7/2019 11:52:33 AM	Generate Map Complete
3/7/2019 11:52:36 AM	Generate Map with type Clusters and seed 287059345
3/7/2019 11:52:36 AM	Generate Map Complete
3/7/2019 11:52:48 AM	Generate Map with type Clusters and seed 492024240
3/7/2019 11:52:48 AM	Generate Map Complete
3/7/2019 11:52:50 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:50 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:59 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:59 AM	Generate Map Complete
3/7/2019 11:53:00 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:00 AM	Generate Map Complete
3/7/2019 11:53:03 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:03 AM	Generate Map Complete
3/7/2019 11:53:21 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:21 AM	Generate Map Complete
3/7/2019 11:53:58 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:58 AM	Generate Map Complete
3/7/2019 11:54:04 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:04 AM	Generate Map Complete
3/7/2019 11:54:41 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:41 AM	Generate Map Complete
3/7/2019 11:54:47 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:47 AM	Warning: Helper_GetShouldExclude found Factions[6]==null
3/7/2019 11:54:47 AM	Generate Map Complete
3/7/2019 11:54:51 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:51 AM	Generate Map Complete
3/7/2019 11:54:54 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:54 AM	Generate Map Complete
3/7/2019 11:54:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:57 AM	Generate Map Complete
3/7/2019 11:55:02 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:55:02 AM	Generate Map Complete
3/7/2019 12:06:17 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:17 PM	Generate Map Complete
3/7/2019 12:06:27 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:27 PM	Generate Map Complete
3/7/2019 12:06:39 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:39 PM	Generate Map Complete
3/7/2019 1:01:38 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:22:21 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 7:22:21 PM	No resolution change was required.
3/7/2019 7:22:21 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 7:22:21 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 7:23:18 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 7:23:19 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 7:23:19 PM	59.1 seconds total load time.

SetDirectoriesToBeUsed (0.6s)
Language.Initialize (0.3s)
LoadFinalSFXStuff (13.0s)
ExternalIconDictionaryTable (1.0s)
ArcenUIPrefabTable (1.7s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.4s)
ArcenExternalDataPatternTable (1.1s)
ExternalConstants (1.5s)
PresentationLayer.LoadVisualConstants_Late (1.1s)
GameSpeedTypeTable (0.3s)
AIDefensePlacerTable (0.5s)
DeathEffectTypeTable (0.8s)
EntityLineTypeTable (0.7s)
Balance_RangeTable (0.7s)
Balance_SpeedDirectTable (0.3s)
ConductTypeTable (0.3s)
TeamColorPrefabsTable (0.4s)
SpaceboxDefinitionTable (1.2s)
PlanetDefinitionTable (3.4s)
MapTypeDataTable (0.3s)
GameEntityTypeDataTable.Initialize (4.4s)
GameEntityTypeDataTable.InitVisualBits (20.1s)
SurrogateTableTable (1.6s)
3/7/2019 7:23:19 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:23:32 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:23:32 PM	World Created, Launching Server
3/7/2019 7:23:32 PM	Successfully opened host socket
3/7/2019 7:24:25 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:24:25 PM	Generate Map Complete
3/7/2019 7:31:26 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:31:26 PM	Successfully opened host socket
3/7/2019 7:40:49 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:StackUnits  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:52:11 PM	No resolution change was required.
3/7/2019 7:52:11 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 7:52:11 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 7:52:13 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:52:13 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:52:13 PM	World Created, Launching Server
3/7/2019 7:52:13 PM	Successfully opened host socket
3/7/2019 7:52:41 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:52:41 PM	Generate Map Complete
3/7/2019 7:53:23 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:23 PM	Generate Map Complete
3/7/2019 7:53:27 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:27 PM	Generate Map Complete
3/7/2019 7:53:56 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:56 PM	Generate Map Complete
3/7/2019 7:54:18 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:54:18 PM	Generate Map Complete
3/7/2019 7:54:20 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:20 PM	Generate Map Complete
3/7/2019 7:54:30 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:30 PM	Generate Map Complete
3/7/2019 7:54:33 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:33 PM	Generate Map Complete
3/7/2019 7:54:35 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:35 PM	Generate Map Complete
3/7/2019 7:54:36 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:36 PM	Generate Map Complete
3/7/2019 9:10:04 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46646


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46646


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

ArcenDebugLog-3.txt (148,311 bytes)
Autosave.4380.savemet (51 bytes)
Autosave.4380.save (1,436,192 bytes)

BadgerBadger

Mar 7, 2019 3:26 pm

manager   ~0050923

The recreate from Jannik has some interesting characteristics

It first shows
3/7/2019 9:10:04 PM
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0
Stack Trace: at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0

and only then
3/7/2019 9:10:04 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46646


GameCommand Details:SetWaiting ToBeQueued:False RelatedEntityIDs:0 RelatedPoints:0 FromActualInputEventOfPlayerID:-1 FromActualInputEventOfPlayerID:-1 FromActualInputEventOfPlayerID:-1 CameFromMultiplayerClientConnectionIndex:-1 ExecuteOnFrameNumber:-1 RelatedEntityType:null RelatedMagnitude:0 PlanetOrderWasIssuedFrom:-1 SentWithToggleSet_SetOrdersForProducedUnits:False RelatedFaction:null RelatedControlGroup:null RelatedPlanetFactionBooleanFlag:None RelatedBool:False RelatedSetup:null RelatedHack:null RelatedString: RelatedEnumValue:0 RelatedSFXItem:null RelatedModdableCommandCode: RelatedIntegers:0 RelatedIntegers2:0 RelatedIntegers3:0 RelatedIntegers4:0 RelatedFInts:0 RelatedBools:0

Jannik2099

Mar 7, 2019 5:14 pm

reporter   ~0050925

Update: I followed my suspicion in that this error is tied to the frame number and happens somewhere around 46k frames, and I seem to be right.
I started up a game with no minor factions and all AIs set to difficulty 1, home world cornered and heavily defended and left the game running at 10x speed (both game and combat). As the frame time is not tied to game speed or the game running at all (10 frames/s if I observed correctly) it again took about 1:30 hours to happen. I don't have a savegame this time as I didn't watch the game closely. Attached is the Debug Log, frame 45362 this time.

ArcenDebugLog-4.txt (198,113 bytes)
3/6/2019 9:25:03 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/6/2019 9:25:04 PM	Resolution changed to fullscreen 1080x1920
3/6/2019 9:25:04 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:25:04 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:25:42 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/6/2019 9:25:43 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/6/2019 9:25:43 PM	40.4 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (10.9s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.4s)
GameEntityTypeDataTable.Initialize (2.4s)
GameEntityTypeDataTable.InitVisualBits (16.0s)
SurrogateTableTable (1.2s)
3/6/2019 9:25:43 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 9:26:28 PM	No resolution change was required.
3/6/2019 9:26:28 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:26:28 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/6/2019 9:27:51 PM	No resolution change was required.
3/6/2019 9:27:51 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:27:51 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:28:19 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:28:19 PM	World Created, Launching Server
3/6/2019 9:28:20 PM	Successfully opened host socket
3/6/2019 9:30:08 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:08 PM	Generate Map Complete
3/6/2019 9:30:17 PM	Generate Map with type Clusters and seed 909282830
3/6/2019 9:30:17 PM	Generate Map Complete
3/6/2019 9:30:24 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:24 PM	Generate Map Complete
3/6/2019 9:30:42 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:42 PM	Generate Map Complete
3/6/2019 9:30:44 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:30:44 PM	Generate Map Complete
3/6/2019 9:30:59 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:31:00 PM	Generate Map Complete
3/6/2019 9:33:05 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:05 PM	Generate Map Complete
3/6/2019 9:33:29 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:29 PM	Generate Map Complete
3/6/2019 9:33:49 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:33:50 PM	Generate Map Complete
3/6/2019 9:34:04 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:04 PM	Generate Map Complete
3/6/2019 9:34:20 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:34:20 PM	Generate Map Complete
3/6/2019 9:35:01 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:01 PM	Generate Map Complete
3/6/2019 9:35:02 PM	Generate Map with type Clusters and seed 230388083
3/6/2019 9:35:02 PM	Generate Map Complete
3/6/2019 9:36:55 PM	No resolution change was required.
3/6/2019 9:36:55 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:36:55 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:37:09 PM	No resolution change was required.
3/6/2019 9:37:09 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:37:09 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 9:40:17 PM	No resolution change was required.
3/6/2019 9:40:17 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 9:40:17 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 10:42:06 PM	No resolution change was required.
3/6/2019 10:42:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 10:42:06 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:47:11 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:47:11 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:49:37 PM	No resolution change was required.
3/6/2019 11:49:37 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/6/2019 11:49:37 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/6/2019 11:58:53 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/6/2019 11:58:53 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 90202


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:15:25 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 12:41:21 AM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 11:30:34 AM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 11:30:35 AM	No resolution change was required.
3/7/2019 11:30:35 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 11:30:35 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 11:31:11 AM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 11:31:12 AM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 11:31:12 AM	38.7 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
LoadFinalSFXStuff (10.4s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.1s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.4s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.3s)
GameEntityTypeDataTable.Initialize (2.2s)
GameEntityTypeDataTable.InitVisualBits (15.2s)
SurrogateTableTable (1.2s)
3/7/2019 11:31:13 AM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:37:08 AM	Successfully opened host socket
3/7/2019 11:52:18 AM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 11:52:18 AM	Generate Map with type Clusters and seed 230388083
3/7/2019 11:52:18 AM	World Created, Launching Server
3/7/2019 11:52:18 AM	Successfully opened host socket
3/7/2019 11:52:20 AM	Generate Map with type Clusters and seed 230388083
3/7/2019 11:52:20 AM	Generate Map Complete
3/7/2019 11:52:27 AM	Generate Map with type Clusters and seed 173705748
3/7/2019 11:52:27 AM	Generate Map Complete
3/7/2019 11:52:33 AM	Generate Map with type Clusters and seed 913620124
3/7/2019 11:52:33 AM	Generate Map Complete
3/7/2019 11:52:36 AM	Generate Map with type Clusters and seed 287059345
3/7/2019 11:52:36 AM	Generate Map Complete
3/7/2019 11:52:48 AM	Generate Map with type Clusters and seed 492024240
3/7/2019 11:52:48 AM	Generate Map Complete
3/7/2019 11:52:50 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:50 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:57 AM	Generate Map Complete
3/7/2019 11:52:59 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:52:59 AM	Generate Map Complete
3/7/2019 11:53:00 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:00 AM	Generate Map Complete
3/7/2019 11:53:03 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:03 AM	Generate Map Complete
3/7/2019 11:53:21 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:21 AM	Generate Map Complete
3/7/2019 11:53:58 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:53:58 AM	Generate Map Complete
3/7/2019 11:54:04 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:04 AM	Generate Map Complete
3/7/2019 11:54:41 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:41 AM	Generate Map Complete
3/7/2019 11:54:47 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:47 AM	Warning: Helper_GetShouldExclude found Factions[6]==null
3/7/2019 11:54:47 AM	Generate Map Complete
3/7/2019 11:54:51 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:51 AM	Generate Map Complete
3/7/2019 11:54:54 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:54 AM	Generate Map Complete
3/7/2019 11:54:57 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:54:57 AM	Generate Map Complete
3/7/2019 11:55:02 AM	Generate Map with type Clusters and seed 239925183
3/7/2019 11:55:02 AM	Generate Map Complete
3/7/2019 12:06:17 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:17 PM	Generate Map Complete
3/7/2019 12:06:27 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:27 PM	Generate Map Complete
3/7/2019 12:06:39 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 12:06:39 PM	Generate Map Complete
3/7/2019 1:01:38 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:22:21 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 7:22:21 PM	No resolution change was required.
3/7/2019 7:22:21 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 7:22:21 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 7:23:18 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 7:23:19 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 7:23:19 PM	59.1 seconds total load time.

SetDirectoriesToBeUsed (0.6s)
Language.Initialize (0.3s)
LoadFinalSFXStuff (13.0s)
ExternalIconDictionaryTable (1.0s)
ArcenUIPrefabTable (1.7s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.4s)
ArcenExternalDataPatternTable (1.1s)
ExternalConstants (1.5s)
PresentationLayer.LoadVisualConstants_Late (1.1s)
GameSpeedTypeTable (0.3s)
AIDefensePlacerTable (0.5s)
DeathEffectTypeTable (0.8s)
EntityLineTypeTable (0.7s)
Balance_RangeTable (0.7s)
Balance_SpeedDirectTable (0.3s)
ConductTypeTable (0.3s)
TeamColorPrefabsTable (0.4s)
SpaceboxDefinitionTable (1.2s)
PlanetDefinitionTable (3.4s)
MapTypeDataTable (0.3s)
GameEntityTypeDataTable.Initialize (4.4s)
GameEntityTypeDataTable.InitVisualBits (20.1s)
SurrogateTableTable (1.6s)
3/7/2019 7:23:19 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:23:32 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:23:32 PM	World Created, Launching Server
3/7/2019 7:23:32 PM	Successfully opened host socket
3/7/2019 7:24:25 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:24:25 PM	Generate Map Complete
3/7/2019 7:31:26 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:31:26 PM	Successfully opened host socket
3/7/2019 7:40:49 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:40:49 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46942


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:StackUnits  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:42:21 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 47854


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 7:52:11 PM	No resolution change was required.
3/7/2019 7:52:11 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 7:52:11 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 7:52:13 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 7:52:13 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:52:13 PM	World Created, Launching Server
3/7/2019 7:52:13 PM	Successfully opened host socket
3/7/2019 7:52:41 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:52:41 PM	Generate Map Complete
3/7/2019 7:53:23 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:23 PM	Generate Map Complete
3/7/2019 7:53:27 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:27 PM	Generate Map Complete
3/7/2019 7:53:56 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:53:56 PM	Generate Map Complete
3/7/2019 7:54:18 PM	Generate Map with type Clusters and seed 239925183
3/7/2019 7:54:18 PM	Generate Map Complete
3/7/2019 7:54:20 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:20 PM	Generate Map Complete
3/7/2019 7:54:30 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:30 PM	Generate Map Complete
3/7/2019 7:54:33 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:33 PM	Generate Map Complete
3/7/2019 7:54:35 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:35 PM	Generate Map Complete
3/7/2019 7:54:36 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 7:54:36 PM	Generate Map Complete
3/7/2019 9:10:04 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46646


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:10:04 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 46646


GameCommand Details:SetBehavior  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:24:34 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 9:48:15 PM	Current directory used: Z:/SteamLibrary/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: Z:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
3/7/2019 9:48:15 PM	No resolution change was required.
3/7/2019 9:48:15 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 9:48:15 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 9:48:55 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 9:48:56 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: Radeon RX Vega
graphicsDeviceID: 26751
graphicsDeviceVendor: ATI
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8120
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-8350 Eight-Core Processor 
processorCount: 8
processorFrequency: 4013
systemMemorySize: 16284
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 9:48:56 PM	41.9 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (11.3s)
ExternalIconDictionaryTable (0.9s)
ArcenUIPrefabTable (1.2s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
EntityLineTypeTable (0.5s)
SpaceboxDefinitionTable (0.9s)
PlanetDefinitionTable (2.5s)
GameEntityTypeDataTable.Initialize (2.4s)
GameEntityTypeDataTable.InitVisualBits (16.4s)
SurrogateTableTable (1.3s)
3/7/2019 9:48:56 PM
Hello Steam user 'Betty lemme smash'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 9:50:00 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:00 PM	World Created, Launching Server
3/7/2019 9:50:00 PM	Successfully opened host socket
3/7/2019 9:50:13 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:13 PM	Generate Map Complete
3/7/2019 9:50:16 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:16 PM	Generate Map Complete
3/7/2019 9:50:20 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:20 PM	Generate Map Complete
3/7/2019 9:50:24 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:24 PM	Generate Map Complete
3/7/2019 9:50:25 PM	Generate Map with type Clusters and seed 338556223
3/7/2019 9:50:26 PM	Generate Map Complete
3/7/2019 9:50:32 PM	Generate Map with type Clusters and seed 731190030
3/7/2019 9:50:32 PM	Generate Map Complete
3/7/2019 9:50:41 PM	Generate Map with type Octopus and seed 731190030
3/7/2019 9:50:41 PM	Generate Map Complete
3/7/2019 9:50:43 PM	Generate Map with type Octopus and seed 731190030
3/7/2019 9:50:43 PM	Generate Map Complete
3/7/2019 9:51:43 PM	No resolution change was required.
3/7/2019 9:51:43 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 9:51:43 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 10:01:22 PM	No resolution change was required.
3/7/2019 10:01:22 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 10:01:22 PM	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
3/7/2019 10:01:36 PM	No resolution change was required.
3/7/2019 10:01:36 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 10:01:36 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
3/7/2019 10:02:42 PM
-----------
ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
Stack Trace: System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.ThrowHelper.ThrowArgumentOutOfRangeException () (at <f826c2584fc94ec19a48a6576640bdc5>:0)
Arcen.AIW2.External.EndpointFunctions.LowerOrRaiseGameSpeedStyle (Arcen.AIW2.Core.GameCommandSource Source, System.Boolean Increase) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.AIW2.External.Window_InGameBottomLeftMenu+bFaster.HandleClick_Subclass (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception , UnityEngine.Object ) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Debug.LogException (System.Exception exception) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 

3/7/2019 10:02:42 PM
ErrorsReportedByEngine:    -----------
ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
Stack Trace: System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.ThrowHelper.ThrowArgumentOutOfRangeException () (at <f826c2584fc94ec19a48a6576640bdc5>:0)
Arcen.AIW2.External.EndpointFunctions.LowerOrRaiseGameSpeedStyle (Arcen.AIW2.Core.GameCommandSource Source, System.Boolean Increase) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.AIW2.External.Window_InGameBottomLeftMenu+bFaster.HandleClick_Subclass (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception , UnityEngine.Object ) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Debug.LogException (System.Exception exception) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 

3/7/2019 11:05:43 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45334


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45334


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45334


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:43 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45334


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:46 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:46 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 
Stack Trace:   at Arcen.AIW2.External.GameCommand_UnitSetCommands.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002e7] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00105] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004c5] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <0d416be7a59e4abd8ea347e12f86a620>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:46 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45362


GameCommand Details:SetWaiting  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 11:05:46 PM
GAAAH! We have a command we need to execute during frame -1 but it's already frame 45362


GameCommand Details:SetWormholePath  ToBeQueued:False  RelatedEntityIDs:0  RelatedPoints:0  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  FromActualInputEventOfPlayerID:-1  CameFromMultiplayerClientConnectionIndex:-1  ExecuteOnFrameNumber:-1  RelatedEntityType:null  RelatedMagnitude:0  PlanetOrderWasIssuedFrom:-1  SentWithToggleSet_SetOrdersForProducedUnits:False  RelatedFaction:null  RelatedControlGroup:null  RelatedPlanetFactionBooleanFlag:None  RelatedBool:False  RelatedSetup:null  RelatedHack:null  RelatedString:  RelatedEnumValue:0  RelatedSFXItem:null  RelatedModdableCommandCode:  RelatedIntegers:0  RelatedIntegers2:0  RelatedIntegers3:0  RelatedIntegers4:0  RelatedFInts:0  RelatedBools:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <877f4bd68167451aba77468fda86b119>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

ArcenDebugLog-4.txt (198,113 bytes)

Issue History

Date Modified Username Field Change
Mar 6, 2019 12:43 pm TechSY730 New Issue
Mar 6, 2019 12:43 pm TechSY730 File Added: ArcenDebugLog.txt
Mar 6, 2019 12:44 pm TechSY730 Severity minor => major
Mar 6, 2019 12:44 pm TechSY730 Description Updated View Revisions
Mar 6, 2019 12:55 pm TechSY730 File Added: 14.save
Mar 6, 2019 12:55 pm TechSY730 Note Added: 0050901
Mar 7, 2019 5:45 am Jannik2099 File Added: ArcenDebugLog-2.txt
Mar 7, 2019 5:45 am Jannik2099 Note Added: 0050918
Mar 7, 2019 3:24 pm Jannik2099 File Added: Autosave.4380.save
Mar 7, 2019 3:24 pm Jannik2099 File Added: Autosave.4380.savemet
Mar 7, 2019 3:24 pm Jannik2099 File Added: ArcenDebugLog-3.txt
Mar 7, 2019 3:24 pm Jannik2099 Note Added: 0050922
Mar 7, 2019 3:26 pm BadgerBadger Note Added: 0050923
Mar 7, 2019 5:14 pm Jannik2099 File Added: ArcenDebugLog-4.txt
Mar 7, 2019 5:14 pm Jannik2099 Note Added: 0050925
Mar 8, 2019 11:55 am BadgerBadger Relationship added related to 0020933